/**
 *
 */
package de.intevation.gnv.transition.profile.vertical;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Collection;
import java.util.Iterator;

import de.intevation.gnv.chart.ChartFactory;
import de.intevation.gnv.chart.ChartLabels;
import de.intevation.gnv.chart.ChartStyle;
import de.intevation.gnv.chart.VerticalProfileChartFactory;
import de.intevation.gnv.chart.exception.TechnicalChartException;
import de.intevation.gnv.transition.describedata.KeyValueDescibeData;
import de.intevation.gnv.transition.timeseries.TimeSeriesOutputTransition;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class VerticalProfileOutputTransition extends TimeSeriesOutputTransition {
    /**
     *
     */
    private static final long serialVersionUID = 4401516087492028840L;

    /**
     * Constructor
     */
    public VerticalProfileOutputTransition() {
    }

    @Override
    protected Collection<KeyValueDescibeData> getMeasurements() {
        String collectionName = "dateid";
        return this.getCollection(collectionName);
    }
    
    @Override
    protected void createChart(OutputStream outputStream,
            Collection<KeyValueDescibeData> parameters,
            Collection<KeyValueDescibeData> measurements,
            String timeSeriesName, ChartStyle chartStyle,
            ChartLabels chartLables) throws IOException,
            TechnicalChartException {
        VerticalProfileChartFactory chartFactory = new VerticalProfileChartFactory();
        chartFactory.createSimpleVerticalProfileChart(chartLables, chartStyle, timeSeriesName, 
                                                 parameters, measurements, 
                                                 outputStream, this.chartResult);
    }
    

}
